> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bvndle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Leaderboard

> This endpoint returns the coins leaderboard

export const Table = ({data = []}) => <div className="text-sm font-mono">
    <div style={{
  gap: 10,
  display: "grid",
  padding: "5px 10px",
  backgroundColor: "#F7F9FB",
  color: "rgba(25,27,31,0.6)",
  gridTemplateColumns: "repeat(3, minmax(0, 1fr))"
}}>
      <span>name</span>
      <span>type</span>
      <span>Description</span>
    </div>
    {data?.map((item, idx) => <div key={idx} style={{
  gap: 10,
  display: "grid",
  padding: "8px 10px",
  color: "rgba(25,27,31,0.8)",
  gridTemplateColumns: "repeat(3, minmax(0, 1fr))"
}}>
        <span className="break-words">{item.name}</span>
        <span>{item.type}</span>
        <span>{item.desc}</span>
      </div>)}
  </div>;

export const NoteStatement = ({label, message}) => <div className="relative text-sm" style={{
  borderRadius: 16,
  padding: "1px 20px",
  backgroundColor: "rgba(252,155,28,.06)"
}}>
    <p style={{
  marginBlock: 0
}}>
      {label && <span>
          <span className="font-bold" style={{
  color: "#fc9b1c"
}}>
            {label || "PS"}
          </span>
          {message && `: `}
        </span>}
      {message}
    </p>
    <div className="absolute left-0 top-1/2 -translate-y-1/2 rounded-e-full" style={{
  width: 2,
  height: 35,
  backgroundColor: "#fc9b1c"
}} />
  </div>;

export const EcosystemURLBlock = ({content = [], title = ""}) => {
  return <div style={{
    backgroundColor: "#6B3B900A",
    borderRadius: "8px",
    borderColor: "#F8F8F8"
  }} className="flex flex-col gap-4 border p-6">
      {title && <p className="font-bold text-2xl" style={{
    color: "#1C1C1C",
    marginBlock: "0px"
  }}>
          {title || ""}
        </p>}

      {content.length > 0 && content?.map((el, id) => <div key={id} className="flex flex-col [&>*]:my-0 gap-2">
            <div className="flex items-center justify-between [&>*]:my-0" style={{
    height: "fit-content"
  }}>
              <span className="font-bold" style={{
    color: "#1C1C1CCC",
    marginBlock: "0px"
  }}>
                {el.title}
              </span>
              <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg" onClick={async () => {
    await navigator.clipboard.writeText(el.caption);
    alert("Link copied!");
  }}>
                <path d="M6 10C6 8.1144 6 7.1716 6.58579 6.58579C7.1716 6 8.1144 6 10 6H10.6667C12.5523 6 13.4951 6 14.0809 6.58579C14.6667 7.1716 14.6667 8.1144 14.6667 10V10.6667C14.6667 12.5523 14.6667 13.4951 14.0809 14.0809C13.4951 14.6667 12.5523 14.6667 10.6667 14.6667H10C8.1144 14.6667 7.1716 14.6667 6.58579 14.0809C6 13.4951 6 12.5523 6 10.6667V10Z" stroke="#191B1F" stroke-opacity="0.6" stroke-linecap="round" stroke-linejoin="round" />
                <path d="M11.3334 6.00016C11.3318 4.02877 11.302 3.00764 10.7282 2.30845C10.6174 2.17342 10.4936 2.04962 10.3586 1.9388C9.62096 1.3335 8.52516 1.3335 6.3335 1.3335C4.14184 1.3335 3.04602 1.3335 2.30845 1.9388C2.17342 2.04961 2.04962 2.17342 1.9388 2.30845C1.3335 3.04602 1.3335 4.14184 1.3335 6.3335C1.3335 8.52516 1.3335 9.62096 1.9388 10.3586C2.04961 10.4936 2.17342 10.6174 2.30845 10.7282C3.00764 11.302 4.02877 11.3318 6.00016 11.3334" stroke="#191B1F" stroke-opacity="0.6" stroke-linecap="round" stroke-linejoin="round" />
              </svg>
            </div>
            <p className="font-medium text-sm border-none" style={{
    color: el.color || "#1C1C1CCC"
  }}>
              {el.caption}
            </p>
          </div>)}
    </div>;
};

##

<NoteStatement label="Note" message="The leaderboard updates every 30 minutes" />

##

<EcosystemURLBlock
  content={[
{
  title: "URL",
  caption:
    "https://test-api.bvndle.com/api/v1/laas/coins/partner/ep-leaderboard",
  color: "#6B3B90",
},
{
  title: "Base URL",
  caption: "https://testapi.bvndle.com/api/v1/laas",
  color: "#6B3B90",
},
{
  title: "HTTP Method",
  caption: "GET",
},
{
  title: "Authorization Header",
  caption: "Bearer ACCESS_TOKEN",
},
]}
/>

###

<NoteStatement label="Query Parameter" />

#####

<Table
  data={[
{
  name: "userId",
  type: "string",
  desc: "Required",
},
{
  name: "type",
  type: "string",
  desc: (
    <>
      Required <br />
      <strong>Value:</strong> spender or earner
    </>
  ),
},
{
  name: "page",
  type: "number",
  desc: "Optional",
},
{
  name: "limit",
  type: "number",
  desc: "Optional",
},
{
  name: "month",
  type: "number",
  desc: (
    <>
      Optional <br />
      <strong>Value:</strong> 1 (January) - 12 (December) <br />
      <strong>Default:</strong> Current month index
    </>
  ),
},
{
  name: "year",
  type: "number",
  desc: (
    <>
      Optional <br />
      <strong>Default:</strong> Current year
    </>
  ),
},
{
  name: "period",
  type: "string",
  desc: (
    <>
      Optional <br />
      <strong>Value:</strong> monthly or yearly <br />
      <strong>Default:</strong> monthly
    </>
  ),
},
]}
/>

###

```bash cURL theme={null}
curl --request GET
'https://test-api.bvndle.com/api/v1/laas/coins/partner/ep-leaderboard?page=1&limit=10&month=3&year=2025&type=earner' \
--header 'Content-Type: application/json' \

```

<ResponseExample>
  ```json Success - Monthly theme={null}
  {
    "status": "success",
    "message": "leaderboard returned",
    "data": {
      "userPosition": {
        "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
        "amount": "0",
        "position": 18
      },
      "data": [
        {
          "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
          "coins": "750"
        },
        {
          "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
          "coins": "400"
        },
        {
          "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c5",
          "coins": "250"
        },
        {
          "userId": "ceede6ba-bc5b-460b-a056-b28e5bce803b",
          "coins": "50"
        },
        {
          "userId": "be90f9fd-4650-4b68-8dbc-212245570a95",
          "coins": "0"
        },
        {
          "userId": "9011a28a-d2a1-4eff-a8cc-2a9ab393bde3",
          "coins": "0"
        },
        {
          "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
          "coins": "0"
        },
        {
          "userId": "02731314-e354-418a-8c7f-6f4b3a0ead6c",
          "coins": "0"
        },
        {
          "userId": "9b492a91-46a5-421a-bc1b-a85237dac647",
          "coins": "0"
        },
        {
          "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
          "coins": "0"
        }
      ],
      "count": "18",
      "currentpage": 1,
      "nextpage": 2,
      "prevpage": null,
      "lastpage": 2
    }
  }
  ```

  ```json Success - Yearly theme={null}
  {
    "status": "success",
    "message": "leaderboard returned",
    "data": {
      "year": "2025",
      "leaderboards": {
        "January": [
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a0ead6c",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ],
        "February": [
          {
            "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
            "coins": "908"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ],
        "March": [
          {
            "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
            "coins": "7"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ],
        "April": [
          {
            "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
            "coins": "17"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ],
        "May": [
          {
            "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
            "coins": "24"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ],
        "June": [
          {
            "userId": "be90f9fd-4650-4b68-8dbc-212245570a95",
            "coins": "490"
          },
          {
            "userId": "9011a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "103"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "102"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a0ead6c",
            "coins": "13"
          },
          {
            "userId": "9b492a91-46a5-421a-bc1b-a85237dac647",
            "coins": "3"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "2"
          },
          {
            "userId": "99e20d8f-b261-4c12-a52f-ac018b147a19",
            "coins": "1"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c5",
            "coins": "0"
          },
          {
            "userId": "ceede6ba-bc5b-460b-a056-b28e5bce803b",
            "coins": "0"
          }
        ],
        "July": [
          {
            "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
            "coins": "2241"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a0ead6c",
            "coins": "180"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ],
        "August": [
          {
            "userId": "d3c0c232-6e07-40eb-a1ee-593483d689c9",
            "coins": "280"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "10"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c5",
            "coins": "0"
          }
        ],
        "September": [
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a0ead6c",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "coins": "0"
          },
          {
            "userId": "02731314-e354-418a-8c7f-6f4b3b1ebd66",
            "coins": "0"
          },
          {
            "userId": "03fae669-8e18-4d5b-b5e5-c601f182113b",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde3",
            "coins": "0"
          },
          {
            "userId": "0911a28a-d2a1-4eff-a8cc-2a9ab393bde6",
            "coins": "0"
          },
          {
            "userId": "19fdddc7-6f0f-4408-b132-55b6ac734ce7",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922746b4",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c0",
            "coins": "0"
          },
          {
            "userId": "4d7b55c0-716e-4db1-8c01-91f5922747c1",
            "coins": "0"
          }
        ]
      }
    }
  }
  ```
</ResponseExample>
